{
    "name": "cs_f2000",
    "type": "Gun",
    "maxAmmoCapacity": 30,
    "compatibleAmmo": ["ammocreative", "ammo556"],
    "damage": 5.0,
    "rpm": 850,
    "adsSpeed": 450,
    "fireModes": ["SINGLE", "AUTOMATIC"],
    "fireSound": "xm29",
    "animationType": "rifle",
    "defaultAttachments": [],
    "compatibleAttachments": [
	"cantedrail",
	"cs_f2000_scope",
	"cs_f2000_launcher"	
	],
    "compatibleAttachmentGroups": [
      "ar_sightsandscopes",
      "ar_muzzle",
	  "underbarrel",
	  "cs_f2000_skins"
    ],
    "gunRecoilInitialAmplitude": 0.95,
    "shakeRecoilAmplitude": 0.35,
    "shakeRecoilSpeed": 2.0,
    "viewRecoilAmplitude": 1.5,
	"drawAnimations": [
		{ 
			"name": "animation.model.draw", 
			"duration": 775 
		}
	],
	"inspectAnimations": [
		{ 
			"name": "animation.model.inspect",
			"duration": 3835 
		}
	],
    "phasedReloads": [
	          {
            "phase": "RELOADING",
            "condition": {
                "allOf": [
                    { "onEmptyReload": true },
                    { "unselectedFireMode": "grenade_launcher" }
                ]
            },
            "duration": 4035,
            "animation": "animation.model.reloadempty"
        },
        {
            "phase": "RELOADING",
            "condition": {
                "allOf": [
                    { "onEmptyReload": false },
                    { "unselectedFireMode": "grenade_launcher" }
                ]
            },
            "duration": 2175,
            "animation": "animation.model.reload"
        },
        {
            "phase": "RELOADING",
            "condition": {
                "allOf": [
                    { "selectedFireMode": "grenade_launcher" }
                ]
            },
            "duration": 2655,
            "animation": "animation.model.launcherreload"
        }
    ],
    "effects": [
      { "phase": "hit_scan_acquired", "name": "tracer" }
    ],
    "features": [
      {
        "type": "MuzzleFlash",
        "effects": [ { "phase": "firing", "name": "muzzle_flash" } ],
        "condition": { "allOf":[ { "doesNotHaveAttachmentGroup":"ar_suppressors" } ] }
      },
      {
            "type": "Aiming",
            "zoom": 0.25,
            "condition": {
                "allOf": [
                    { "doesNotHaveAttachmentGroup": "ar_sightsandscopes"},
                    { "doesNotHaveAttachment": "cs_f2000_scope"}					
                ]
            }
      },	  
	  {
        "type": "PartVisibility",
        "parts": [
          {
            "name": "frontsight",
            "visible": false,
            "condition": {
              "allOf": [
				{ "hasAttachment": "cs_f2000_scope" }
              ]
            }
          },
          {
            "name": "rearsight",
            "visible": false,
            "condition": {
              "allOf": [
				{ "hasAttachmentGroup": "m16_sightsandscopes" },
				{ "hasAttachment": "cs_f2000_scope" }
              ]
            }
          },
		  {
            "name": "rearsightflipped",
            "visible": true,
            "condition": {
              "allOf": [
				{ "hasAttachmentGroup": "m16_sightsandscopes" }
              ]
            }
          },
		  {
            "name": "rearsightflipped2",
            "visible": true,
            "condition": {
              "allOf": [
				{ "hasAttachment": "cs_f2000_scope" }
              ]
            }
          },		  
		  {
            "name": "underrail",
            "visible": true,
            "condition": {
              "allOf": [
				{ "hasAttachmentGroup": "underbarrel" }
              ]
            }
          },
		  {
            "name": "launcher",
            "visible": true,
            "condition": {
              "allOf": [
				{ "hasAttachment": "cs_f2000_launcher" }
              ]
            }
          },
		  {
            "name": "guard",
            "visible": false,
            "condition": {
              "allOf": [
				{ "hasAttachment": "cs_f2000_launcher" }
              ]
            }
          }
        ]
      },
	  {
            "type": "Sound",
            "fireSound": "g41_silenced",
            "fireSoundVolume": 1,
            "condition": {
                "allOf": [
                    { "hasAttachmentGroup": "ar_suppressors"},
                    { "unselectedFireMode": "grenade_launcher"}
                ]
            }
        }
    ],
    "glowingParts": []
  }
